ActiveMQObjectMessageReader (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.message.ActiveMQObjectMessageReader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class ActiveMQObjectMessageReader

    java.lang.Object
      org.codehaus.activemq.message.AbstractPacketReader
          org.codehaus.activemq.message.ActiveMQMessageReader
              org.codehaus.activemq.message.ActiveMQObjectMessageReader

All Implemented Interfaces:
  PacketReader

public class ActiveMQObjectMessageReader
extends ActiveMQMessageReader

Reads a Message object to a Stream

Constructor Summary
`ActiveMQObjectMessageReader()`

Method Summary
`Packet` | `createPacket()`
`int` | `getPacketType()` Return the type of Packet

Methods inherited from class org.codehaus.activemq.message.ActiveMQMessageReader
`buildPacket`

Methods inherited from class org.codehaus.activemq.message.AbstractPacketReader
`canRead, readObject, readPacketFromByteArray, readUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveMQObjectMessageReader

    public ActiveMQObjectMessageReader()

Method Detail

### getPacketType

    public int getPacketType()

  Return the type of Packet

  Specified by:
    `getPacketType` in interface `PacketReader`
  Overrides:
    `getPacketType` in class `ActiveMQMessageReader`
  Returns:
    integer representation of the type of Packet

### createPacket

    public Packet createPacket()

  Specified by:
    `createPacket` in interface `PacketReader`
  Overrides:
    `createPacket` in class `ActiveMQMessageReader`
  Returns:
    a new Packet instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.